task q30 {
	File fastq
	String sample
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		python /opt/q30.py ${fastq} > ${sample}.q30.txt

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File result = "${sample}.q30.txt"
	}
}
